%define webdir /var/www/html

Name: sams
Version: 20070129
Release: alt3
Summary: SAMS (Squid Account Management System)
License: GPL
Group: System/Servers

Url: http://sams.irc.perm.ru/
Source: %url/%name-%version.tar.gz
Source2: %name-README.alt

Packager: Alexander Volkov <vaa@altlinux.ru>

Summary(ru_RU.KOI8-R):        - squid

# Automatically added by buildreq on Wed Mar 29 2006
BuildRequires: libMySQL-devel libpcre-devel
Requires: %name-config = %version-%release %name-web = %version-%release %name-server = %version-%release 

BuildRequires: rpm-build-compat >= 0.4

%description
SAMS (Squid Account Management System)

%description -l ru_RU.KOI8-R
       - squid

# -- Config --
%package config
Summary: Config for %name
Summary(ru_RU.KOI8-R):    %name
License: GPL
Group: System/Servers

%description config
Config for %name

%description config -l ru_RU.KOI8-R
   %name

# -- Server --
%package server
Summary: %name daemon
Summary(ru_RU.KOI8-R):  %name
License: GPL
Group: System/Servers
Requires: %name-config = %version-%release
Requires: MySQL-client

%description server
Server %name

%description server -l ru_RU.KOI8-R
 %name

# -- Web interface--
%package web
Summary: Handle the adminstration of %name over the web
Summary(ru_RU.KOI8-R):  %name  web
License: GPL
Group: System/Servers
Requires: %name-config = %version-%release
Requires: php-mysql

%description web
%name is a WEB-based interface and tool to manage users of SQUID proxy 
 - manage users access to SQUID - proxy with NTLM, NCSA authorization or IP address
 - manage prohibition of users to access to URL
 - manage to rewrite requested URL to graphical resources (banners, counters)
 - save and build reports of users statistic
 - switch of users access to SQUID proxy if his traffic quota is off
 - manage a delay pools for users groups

%description web -l ru_RU.KOI8-R
%name  WEB        - squid
 -    web 
 -      
 -   ,  .
 -        .
 -       .  :
    +        
    +       
    +         (delay_pools)
    +        
 -        
 -         :
    +   
    +   
    +   
 -    SQUID:
    + NTLM    Windows
    + NCSA 
    +   ip 
 -    SQUID:
    + Rejik
    + SquidGuard
 -   SAMS:
    +     SAMS
    +  ,    ,    
    +     ,     web ,      
    +      web     
 -         
 -      MySQL


%prep
%setup -q -n %name
%__cp %SOURCE2 README.alt

find %_builddir/%name -type d -name CVS -print0 | xargs -r0 rm -fr
rm -f php/lang/koi8r-2-win1251.php

find %_builddir/%name -type f -print0 | xargs -r0 subst "s|LIBS = -I. \$(MYSQLLIBS) \$(PCRELIBS) \$(SUNLIB)|LIBS = -I. \$(MYSQLLIBS) \$(PCRELIBS) \$(SUNLIB) -lm|g"

%__subst 's|$prefix/share/sams|%webdir/sams|g' configure

%build


%configure \
        --with-configfile=%_sysconfdir/sams.conf \
        --with-rcd-locations=%_initdir \
        --datadir=%webdir \
	--with-httpd-locations=%webdir
				
%make_build

%install
mkdir -p %buildroot%_bindir
mkdir -p %buildroot%_initdir
mkdir -p %buildroot%webdir/%name
##%__mkdir_p %buildroot%_datadir/%name

%makeinstall \
        RCDPATH=%buildroot%_initdir \
        HTTPDPATH=%buildroot%webdir \
	datadir=%buildroot%webdir

%__subst "s|/usr/local/rejik|/usr/share/rejik|g" %buildroot%_sysconfdir/%name.conf
%__subst "s|SAMSPATH=/usr/local|SAMSPATH=/usr/bin|g" %buildroot%_sysconfdir/%name.conf
%__subst "s|daemon|start_daemon|g" %buildroot%_initdir/samsd
%__subst "s|killproc|stop_daemon|g" %buildroot%_initdir/samsd

%post server
%post_service samsd
%preun server
%preun_service samsd

%files

%files config
%doc CHANGELOG COPYING INSTALL* README* mysql etc/sams.conf.default
%config(noreplace) %_sysconfdir/%name.conf

%files server
%_bindir/*
%config %_sysconfdir/rc.d/*

%files web
%webdir/sams
%dir %attr(2775,root,apache) %webdir/sams
%dir %attr(2777,root,apache) %webdir/sams/data

%changelog
* Sun Jun 17 2007 Alexander Volkov <vaa@altlinux.ru> 20070129-alt3
- moved web content from /usr/share to /var/www/html

* Fri Apr 06 2007 Alexander Volkov <vaa@altlinux.ru> 20070129-alt2
- minor changes, README.alt added

* Fri Mar 09 2007 Alexander Volkov <vaa@altlinux.ru> 20070129-alt1
- New release, spec fixes

* Wed Mar 29 2006 Slava Dubrovskiy <dubrsl@altlinux.ru> 20051107-alt0
- initial build 4 Sisyphus
